LibreOffice: XConfigManager Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XConfigManager Interface Referencepublished

`import "XConfigManager.idl";`

Inheritance diagram for XConfigManager:

## Public Member Functions
void | addPropertyChangeListener ([in] string KeyName, [in] com::sun::star::beans::XPropertyChangeListener Listener)
| add a listener to notify changes on well known variables inside the real implementation
void | removePropertyChangeListener ([in] string KeyName, [in] com::sun::star::beans::XPropertyChangeListener Listener)
| remove a registered listener
string | substituteVariables ([in] string Text)
| substitute variables (place holder) inside given parameter Text
void | flush ()
| was designed for additional functionality for interface com::sun::star::registry::XSimpleRegistry and make no sense without that
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Deprecated

## Member Function Documentation

## ◆ addPropertyChangeListener()

void addPropertyChangeListener | ( | [in] string | KeyName,
|  | [in] com::sun::star::beans::XPropertyChangeListener | Listener )

add a listener to notify changes on well known variables inside the real implementation

Listener can update his text values by calling XConfigManager::substituteVariables() again. If KeyName specifies a group of keys, the listener gets one notify for each subkey.

Parameters

  KeyName | specifies variable about listener will be informed on changes
  Listener | listener which will be informed

See also
  XConfigManager::removePropertyChangeListener()

Deprecated

## ◆ flush()

void flush | ( |  | ) |

was designed for additional functionality for interface com::sun::star::registry::XSimpleRegistry and make no sense without that

Deprecated

## ◆ removePropertyChangeListener()

void removePropertyChangeListener | ( | [in] string | KeyName,
|  | [in] com::sun::star::beans::XPropertyChangeListener | Listener )

remove a registered listener

Parameters

  KeyName | specifies variable on which listener was registered
  Listener | listener which will be deregistered

See also
  XConfigManager::addPropertyChangeListener()

Deprecated

## ◆ substituteVariables()

string substituteVariables | ( | [in] string | Text | ) |

substitute variables (place holder) inside given parameter Text

The value of Text is NOT changed.

Parameters

  Text | original value including variables

Returns
  changed copy of Text without any variables

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XConfigManager.idl